"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class CommandLineSource {
    constructor(args = process.argv) {
        this.args = args;
    }
    load() {
        const result = [];
        let dashProp = '';
        for (let i = 0; i < this.args.length; i++) {
            const arg = this.args[i];
            if (arg.startsWith('-')) {
                if (dashProp) {
                    // The last one had no argument
                    result.push({ key: dashProp, value: true });
                }
                dashProp = arg.replace(/^-+/, '');
            }
            else if (dashProp) {
                result.push({ key: dashProp, value: arg });
                dashProp = '';
            }
        }
        if (dashProp) {
            result.push({ key: dashProp, value: true });
        }
        return result;
    }
}
exports.CommandLineSource = CommandLineSource;
