"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const explode_1 = require("./explode");
const js_yaml_1 = require("js-yaml");
class YamlSource {
    constructor(path, logger) {
        this.path = path;
        this.logger = logger;
    }
    load() {
        try {
            const data = fs_1.readFileSync(this.path, 'utf-8');
            const values = js_yaml_1.safeLoad(data);
            return explode_1.explode(values);
        }
        catch (e) {
            this.logger.debug(`Failed to read json from ${this.path}: ${e}`);
            return [];
        }
    }
}
exports.YamlSource = YamlSource;
