"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const flatten = (path, data) => {
    const result = [];
    if (data instanceof Object) {
        for (let key in data) {
            let newPath = path + '.' + key;
            if (newPath.startsWith('.')) {
                newPath = newPath.substr(1);
            }
            result.push(...flatten(newPath, data[key]));
        }
    }
    else {
        result.push({ key: path, value: data });
    }
    return result;
};
exports.explode = (data) => {
    return flatten('', data);
};
